View Issue Details

IDProjectCategoryView StatusLast Update
0008765mantisbtplug-inspublic2008-08-12 09:35
ReporterNTAssigned Tojreese 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionno change required 
Product Version 
Target VersionFixed in Version 
Summary0008765: plugins cannot customise login_page
Description

login_page.php only calls html_page_bottom1a rather than html_page_bottom.
This means that it does not signal event EVENT_LAYOUT_CONTENT_END.
This means that a plugin is unable to use this to customise the login page.

TagsNo tags attached.

Activities

2008-01-17 17:20

 

login_page.diff (303 bytes)
Index: login_page.php
===================================================================
--- login_page.php	(revision 4902)
+++ login_page.php	(working copy)
@@ -224,4 +224,5 @@
 </script>
 <?php } ?>
 
+<?php event_signal( 'EVENT_LAYOUT_CONTENT_END' ) ?>
 <?php html_page_bottom1a( __FILE__ ) ?>
login_page.diff (303 bytes)
jreese

jreese

2008-01-28 09:45

reporter   ~0016859

login_page.php is not a content page, and shouldn't be calling either CONTENT_BEGIN or CONTENT_END. If you wish to customize the login page, use the BODY_BEGIN/END or PAGE_HEADER/FOOTER events.

Issue History

Date Modified Username Field Change
2008-01-17 17:20 NT New Issue
2008-01-17 17:20 NT File Added: login_page.diff
2008-01-17 18:57 jreese Status new => assigned
2008-01-17 18:57 jreese Assigned To => jreese
2008-01-28 09:45 jreese Status assigned => resolved
2008-01-28 09:45 jreese Resolution open => no change required
2008-01-28 09:45 jreese Note Added: 0016859
2008-08-12 09:35 grangeway Status resolved => closed